/* styles.css */

.container-rotation {
    position: relative;
    width: 250px;
    /* Adjusted width */
    margin: 100px auto 0 auto;
    perspective: 1000px;
}

.carousel-rotation {
    position: absolute;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    animation: rotate360 90s infinite forwards linear;
}

.carousel__face {
    position: absolute;
    width: 300px;
    height: 180px;
    top: 20px;
    left: 10px;
    right: 10px;
    background-size: cover;
    box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.5);
    display: flex;
    transition: transform 0.5s;
    border-radius: 10px; /* Adjust the radius as needed */
}






.carousel__face:not(:last-child) {
    margin-right: 5px;
    /* Adjust spacing between carousel items */
}

.carousel__face:nth-child(1) {
    background-image: url("https://www.issra.pk/insight/2025/Growing-Geopolitical-Significance-of-the-Arctic/cover.jpg");
    
    transform: rotateY(0deg) translateZ(430px);      
}
.carousel__face:nth-child(2) {
    background-image: url("https://www.issra.pk/insight/2025/Combating-Terror-Financing-in-Pakistan/title.jpg");
    transform: rotateY(40deg) translateZ(430px);
}

.carousel__face:nth-child(3) {
    background-image: url("https://www.issra.pk/insight/2025/Pakistan%E2%80%93Africa-Relations/title.jpg");
    transform: rotateY(80deg) translateZ(430px);
}

.carousel__face:nth-child(4) {
    background-image: url("https://www.issra.pk/insight/2025/rare-earth-metals-a-strategic-tug-of-war/cover.jpg");
    transform: rotateY(120deg) translateZ(430px);
}

.carousel__face:nth-child(5) {
    background-image: url("https://www.issra.pk/insight/2025/role-of-pakistan-bait-ul-mal-in-social-welfare/cover.jpg");
    transform: rotateY(160deg) translateZ(430px);
}

.carousel__face:nth-child(6) {
    background-image: url("https://www.issra.pk/insight/2025/latin-america-pivot-china-redrawing-regional-power-dynamics/cover.jpg");
    transform: rotateY(200deg) translateZ(430px);
}

.carousel__face:nth-child(7) {
    background-image: url("https://www.issra.pk/insight/2025/the-kashmir-palestine-parallel-accountability-gaps-and-strategic-implications-for-pakistan/cover.jpg");
    transform: rotateY(240deg) translateZ(430px);
}

.carousel__face:nth-child(8) {
    background-image: url("https://www.issra.pk/insight/2025/Latin-America-An-Untapped-Market-for-Pakistan/cover.jpg");
    transform: rotateY(280deg) translateZ(430px);
}

.carousel__face:nth-child(9) {
    background-image: url("https://www.issra.pk/insight/2025/saudi-arabias-strategic-realignment-from-petro-dollars-to-technological-powerhouses/cover.jpg");
    transform: rotateY(320deg) translateZ(430px);
}




/* Additional CSS for links */
.container-rotation a {
    color: rgb(249, 249, 250); /* Change link color to white */
  
    text-decoration: none; /* Remove underline from links */
    font-size: 12px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: left; /* Optional: Center the text horizontally */
    
}



@keyframes rotate360 {
    from {
        transform: rotateY(0deg);
    }

    to {
        transform: rotateY(-360deg);
    }
}